<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hdkj.lt.bf.mapper.FhzgLimitTransferSchemePathDetailMapper">

    <resultMap id="BaseResultMap" type="com.hdkj.lt.core.bizms.modle.po.voltageLimitViolation.FhzgLimitTransferSchemePathDetail">
            <id property="id" column="id" jdbcType="BIGINT"/>
            <result property="schemeId" column="scheme_id" jdbcType="BIGINT"/>
            <result property="oppositeLineId" column="opposite_line_id" jdbcType="VARCHAR"/>
            <result property="oppositeLineName" column="opposite_line_name" jdbcType="VARCHAR"/>
            <result property="switchId" column="switch_id" jdbcType="VARCHAR"/>
            <result property="switchName" column="switch_name" jdbcType="VARCHAR"/>
            <result property="startSwitchId" column="start_switch_id" jdbcType="VARCHAR"/>
            <result property="startSwitchName" column="start_switch_name" jdbcType="VARCHAR"/>
            <result property="switchSectionId" column="switch_section_id" jdbcType="VARCHAR"/>
            <result property="switchSectionName" column="switch_section_name" jdbcType="VARCHAR"/>
            <result property="endSwitchId" column="end_switch_id" jdbcType="VARCHAR"/>
            <result property="endSwitchName" column="end_switch_name" jdbcType="VARCHAR"/>
            <result property="switchSectionLoads" column="switch_section_loads" jdbcType="DECIMAL"/>
            <result property="loadFactor" column="load_factor" jdbcType="DECIMAL"/>
            <result property="creator" column="creator" jdbcType="BIGINT"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="lastEditor" column="last_editor" jdbcType="BIGINT"/>
            <result property="lastTime" column="last_time" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,scheme_id,opposite_line_id,
        opposite_line_name,switch_id,switch_name,
        start_switch_id,start_switch_name,switch_section_id,
        switch_section_name,end_switch_id,end_switch_name,
        switch_section_loads,load_factor,creator,
        create_time,last_editor,last_time
    </sql>
</mapper>
